Subject: bug#1785: bug#1547: face-font-rescale-alist has no effect

From: Chong Yidong <[email-masked]>
Date: Wed, 22 Apr 2009 10:04:52 -0400

Stefan Monnier <[email-masked]> writes:

>> Until a better solution comes along, I propose dealing with this
>> situation with the following hack in startup.el: check to see if the
>> init file changed face-font-rescale-alist, and reload the default face
>> if necessary.
>
> Can't we fix it right and make clear-face-cache refresh the default face
> as well?  If the right fix is really too much trouble, then I guess your
> workaround is OK, but then it needs to come with a heavy dose of
> comments explaining why it's there and how to get rid of it.

I think the right fix is to refresh all font objects that have already
been created.  However, there's currently no way to find them.  At
startup, however, I think only the default face has a font object
assigned to it---that's why I suggested this hack.

Yeah, it's a pretty awful hack, but I don't see a better short-term
solution.